# $Id: smeserver-usbdisksmanager.spec,v 1.22 2010/03/03 04:04:14 slords Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-usbdisksmanager
%define name smeserver-usbdisksmanager

# Variable representing installation directories:
%define installdir_usbdisksmanager /etc/e-smith/web/functions
%define installdir_usbdisks_sh /usr/sbin

Name: %{name}
%define version 0.2
%define release 23
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tgz
Patch0: smeserver-usbdisksmanager-0.2-removehelp.patch
Patch1: smeserver-usbdisksmanager-0.2-locale-2008-04-21.patch
Patch2: smeserver-usbdisksmanager-0.2-locale-2008-04-22.patch
Patch3: smeserver-usbdisksmanager-0.2-locale-2008-04-23.patch
Patch4: smeserver-usbdisksmanager-0.2-locale-2008-04-26.patch
Patch5: smeserver-usbdisksmanager-0.2-locale-2008-05-05.patch
Patch6: smeserver-usbdisksmanager-0.2-locale-2008-05-21.patch
Patch7: smeserver-usbdisksmanager-0.2-locale-2008-06-27.patch
Patch8: smeserver-usbdisksmanager-0.2-locale-2008-07-01.patch
Patch9: smeserver-usbdisksmanager-0.2-locale-2008-09-27.patch
Patch10: smeserver-usbdisksmanager-0.2-locale-2008-10-15.patch
Patch11: smeserver-usbdisksmanager-0.2-locale-2008-10-16.patch
Patch12: smeserver-usbdisksmanager-0.2-locale-2008-11-19.patch
Patch13: smeserver-usbdisksmanager-0.2-locale-2009-01-01.patch
Patch14: smeserver-usbdisksmanager-0.2-locale-2009-03-01.patch
Patch15: smeserver-usbdisksmanager-0.2-locale-2009-03-03.patch
Patch16: smeserver-usbdisksmanager-0.2-locale-2009-04-27.patch
Patch17: smeserver-usbdisksmanager-0.2-locale-2009-05-20.patch
Patch18: smeserver-usbdisksmanager-0.2-locale-2009-08-24.patch
Patch19: smeserver-usbdisksmanager-0.2-locale-2009-10-27.patch
Patch20: smeserver-usbdisksmanager-0.2-locale-2010-03-02.patch
Patch21: smeserver-usbdisksmanager-0.2-locale-2010-05-23.patch
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildArchitectures: noarch

Requires: smeserver-release >= 7.0
AutoReqProv: no

%changelog
* Sun May 23 2010 SME Translation Server <translations@contribs.org> 0.2-23.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 0.2-22.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 0.2-21.sme
- apply locale 2009-10-27 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 0.2-20.sme
- apply locale 2009-08-24 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 0.2-19.sme
- apply locale 2009-05-20 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 0.2-18.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-16
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Thu Jan  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-15
- Apply  1 Jan 2009 locale patch [SME: 4900]

* Wed Nov 19 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-14
- Apply 19 Nov 2008 locale patch

* Thu Oct 16 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-13
- Apply 16 Oct 2008 locale patch

* Wed Oct 15 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-12
- Apply 15 Oct 2008 locale patch

* Sun Sep 28 2008 Stephen Noble <support@dungog.net> - 0.2-11
- Apply locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-10
- Apply 1 July 2008 locale patch

* Fri Jun 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-9
- Apply 27 Jun 2008 locale patch

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-8
- Apply 21 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-7
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-6
- Apply 26 April 2008 locale patch

* Wed Apr 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-5
- Apply 23 April 2008 locale patch

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.2-4
- Apply 22 April 2008 locale patch

* Mon Apr 21 2008 Stephen Noble <support@dungog.net> 0.2-3
- smeserver-usbdisksmanager-0.2-locale-2008-04-21.patch

* Fri Apr 18 2008 Stephen Noble <support@dungog.net> 0.2-2
- remove help to wiki to simplify translations [SME 4208]

* Mon Apr 9 2007 JP PIALASSE tests@pialasse.com  0.2-0.5
- how to format your hard drive
- auto mount to media folder
- mount options for mount to can be set 
- new Help section

%description
Web interface to manage removable hard drive, and auto mount to a point script

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1

%install

/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(750,root,root)
%{installdir_usbdisks_sh}/usbdisks.sh
%defattr(4750,root,admin)
%{installdir_usbdisksmanager}/usbdisks

%clean
rm -rf $RPM_BUILD_ROOT

